# `finufft_jll.jl` (v2.2.0+0)

[![deps](https://juliahub.com/docs/finufft_jll/deps.svg)](https://juliahub.com/ui/Packages/finufft_jll/zxzoo?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/26693fa781839ebd6f0e0db299afd798fa8f5e52/F/finufft/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `finufft_jll.jl` have been built from these sources:

* git repository: https://github.com/flatironinstitute/finufft.git (revision: `51892059a4b457a99a2569ac11e9e91cd2e289e7`)

## Platforms

`finufft_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv6l {call_abi=eabihf, libc=glibc}` (`armv6l-linux-gnueabihf`)
* `Linux armv6l {call_abi=eabihf, libc=musl}` (`armv6l-linux-musleabihf`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Windows i686 {cxxstring_abi=cxx03}` (`i686-w64-mingw32-cxx03`)
* `Windows i686 {cxxstring_abi=cxx11}` (`i686-w64-mingw32-cxx11`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `macOS x86_64 {march=avx}` (`x86_64-apple-darwin-march+avx`)
* `macOS x86_64 {march=avx2}` (`x86_64-apple-darwin-march+avx2`)
* `macOS x86_64 {march=avx512}` (`x86_64-apple-darwin-march+avx512`)
* `macOS x86_64 {march=x86_64}` (`x86_64-apple-darwin-march+x86_64`)
* `Linux x86_64 {libc=glibc, march=avx}` (`x86_64-linux-gnu-march+avx`)
* `Linux x86_64 {libc=glibc, march=avx2}` (`x86_64-linux-gnu-march+avx2`)
* `Linux x86_64 {libc=glibc, march=avx512}` (`x86_64-linux-gnu-march+avx512`)
* `Linux x86_64 {libc=glibc, march=x86_64}` (`x86_64-linux-gnu-march+x86_64`)
* `Linux x86_64 {libc=musl, march=avx}` (`x86_64-linux-musl-march+avx`)
* `Linux x86_64 {libc=musl, march=avx2}` (`x86_64-linux-musl-march+avx2`)
* `Linux x86_64 {libc=musl, march=avx512}` (`x86_64-linux-musl-march+avx512`)
* `Linux x86_64 {libc=musl, march=x86_64}` (`x86_64-linux-musl-march+x86_64`)
* `FreeBSD x86_64 {march=avx}` (`x86_64-unknown-freebsd-march+avx`)
* `FreeBSD x86_64 {march=avx2}` (`x86_64-unknown-freebsd-march+avx2`)
* `FreeBSD x86_64 {march=avx512}` (`x86_64-unknown-freebsd-march+avx512`)
* `FreeBSD x86_64 {march=x86_64}` (`x86_64-unknown-freebsd-march+x86_64`)
* `Windows x86_64 {cxxstring_abi=cxx03, march=avx}` (`x86_64-w64-mingw32-cxx03-march+avx`)
* `Windows x86_64 {cxxstring_abi=cxx03, march=avx2}` (`x86_64-w64-mingw32-cxx03-march+avx2`)
* `Windows x86_64 {cxxstring_abi=cxx03, march=avx512}` (`x86_64-w64-mingw32-cxx03-march+avx512`)
* `Windows x86_64 {cxxstring_abi=cxx03, march=x86_64}` (`x86_64-w64-mingw32-cxx03-march+x86_64`)
* `Windows x86_64 {cxxstring_abi=cxx11, march=avx}` (`x86_64-w64-mingw32-cxx11-march+avx`)
* `Windows x86_64 {cxxstring_abi=cxx11, march=avx2}` (`x86_64-w64-mingw32-cxx11-march+avx2`)
* `Windows x86_64 {cxxstring_abi=cxx11, march=avx512}` (`x86_64-w64-mingw32-cxx11-march+avx512`)
* `Windows x86_64 {cxxstring_abi=cxx11, march=x86_64}` (`x86_64-w64-mingw32-cxx11-march+x86_64`)

## Dependencies

The following JLL packages are required by `finufft_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`FFTW_jll`](https://github.com/JuliaBinaryWrappers/FFTW_jll.jl)
* [`LLVMOpenMP_jll`](https://github.com/JuliaBinaryWrappers/LLVMOpenMP_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libfinufft`
